install.packages("mada")
library("mada")
data("AuditC")

(fit.reitsma <- reitsma(AuditC))

summary(fit.reitsma)

plot(fit.reitsma, sroclwd = 2, main = "SROC curve (bivariate model) for AUDIT-C data")
points(fpr(AuditC), sens(AuditC), pch = 2)
legend("bottomright", c("data", "summary estimate"), pch = c(2,1))
legend("bottomleft", c("SROC", "conf. region"), lwd = c(2,1))

data("IAQ")
data("SAQ")
fit.IAQ <- reitsma(IAQ)
fit.SAQ <- reitsma(SAQ)

plot(fit.IAQ, xlim = c(0,.5), ylim = c(.5,1),main = "Comparison of IAQ and SAQ")
lines(sroc(fit.SAQ), lty = 2)
ROCellipse(fit.SAQ, lty = 2, pch = 2, add = TRUE)
 points(fpr(IAQ), sens(IAQ), cex = .5)
 points(fpr(SAQ), sens(SAQ), pch = 2, cex = 0.5)
 legend("bottomright", c("IAQ", "SAQ"), pch = 1:2, lty = 1:2)
 